%global modulename atob

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-atob
Version:        2.1.2
Release:        2%{?dist}
Summary:        atob for Node.JS and Linux / Mac / Windows CLI (it's a one-liner)

License:        (MIT or ASL 2.0)
URL:            https://git.coolaj86.com/coolaj86/atob.js.git
Source0:        https://registry.npmjs.org/atob/-/atob-2.1.2.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
atob for Node.JS and Linux / Mac / Windows CLI (it's a one-liner)

%package 2.1.2
Summary:        atob for Node.JS and Linux / Mac / Windows CLI (it's a one-liner)


%description 2.1.2
atob for Node.JS and Linux / Mac / Windows CLI (it's a one-liner)

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr browser-atob.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr node-atob.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/bin/atob.js
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/atob.js %{buildroot}/%{_bindir}/atob


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc LICENSE.DOCS
%doc README.md
%license LICENSE
%{_bindir}/atob
%{nodejs_dir}/%{modulename}

%files 2.1.2
%doc LICENSE.DOCS
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 2.1.2-2
- Package automatically generated by npm2srpm
